/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.HeaderDataKonsolidasi;
import sikd.ikonsol.model.RawData;
import sikd.ikonsol.model.RawDataLak;
import sikd.ikonsol.model.RawDataLpe;
import sikd.ikonsol.model.RawDataLpsal;

/**
 *
 * @author Imam Bhoim
 */

@Remote
public interface DwEjbHome {
     public List<RawData> findAll();

    public RawData findByID(int id);

    public RawData createNew();

    public RawData save(RawData obj);

    public RawData update(RawData obj);

    public void delete(int id);

    public List<RawData> findAllAktif();
    
    
    public List<RawData> findAllByParam(int tahun,String periode,int jenisLap,String namaTbl,String prov );

    public RawData findCountByParam(int tahun,String periode,int jenisLap,String namaTbl,String prov);

    public List<RawData> findCountPemdaByParam(int tahun,String periode,int jenisLap,String namaTbl,String prov );

     public List<RawDataLpe> findAllByParamLpe(int tahun,String periode,int jenisLap,String namaTbl,String prov);

        public List<RawDataLpe> findCountPemdaByParamLpe(int tahun,String periode,int jenisLap,String namaTbl,String prov );
 
        
     public RawDataLpe findCountByParamLpe(int tahun,String periode,int jenisLap,String namaTbl,String prov);

      public List<RawDataLpsal> findAllByParamLpsal(int tahun,String periode,int jenisLap,String namaTbl,String prov);
 
       public List<RawDataLpsal> findCountPemdaByParamLpsal(int tahun,String periode,int jenisLap,String namaTbl,String prov );
 
         
      public RawDataLpsal findCountByParamLpsal(int tahun,String periode,int jenisLap,String namaTbl,String prov);

      public List<RawDataLak> findAllByParamLak(int tahun,String periode,int jenisLap,String namaTbl,String prov);

      public RawDataLak findCountByParamLak(int tahun,String periode,int jenisLap,String namaTbl,String prov);

     public List<RawDataLak> findCountPemdaByParamLak(int tahun,String periode,int jenisLap,String namaTbl,String prov );
 

    public Boolean  cekCon(HeaderDataKonsolidasi obj);
    
    public Boolean  closesCon(HeaderDataKonsolidasi obj);
    
    public HeaderDataKonsolidasi updateDW(HeaderDataKonsolidasi obj);
    
}
